Subject: Bug#225 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#225: when uninstalling x2goclient from windows, the .x2go folder remains)

From: [email-masked] (X2Go Bug Tracking System)
Date: Fri, 31 May 2013 08:22:04 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goclient package:

#225: when uninstalling x2goclient from windows, the .x2go folder remains

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#225: when uninstalling x2goclient from windows, the .x2go folder remains
From: Mike Gabriel <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 31 May 2013 10:21:29 +0200

tag #225 wontfix
close #225
thanks

Hi Stefann, Arnold, Αλέξανδρος,

On Do 30 Mai 2013 20:46:59 CEST Arnold Krille wrote:

> On Thu, 30 May 2013 19:23:51 +0200 Stefan Baur
> <[email-masked]> wrote:
>> Am 30.05.2013 18:46, schrieb Αλέξανδρος Τασίκας:
>> > Package: x2goclient
>> > Version: 4.0.0.3
>> >
>> > when uninstalling x2goclient, the .x2go folder which is in the user
>> > space (in windows-XP C:\Docs&Sets\username\.x2go)is not deleted!!!
>> > I think the uninstall process should delete folder also.
>> > (maybe related with Bug#224)
>> >
>>
>> Deleting stuff from user directories is a bad idea and should not be
>> done. Please think of multi-user setups on the same machine. A user
>> might have an individual copy of x2goclient.exe somewhere (there's no
>> requirement to install x2goclient, it can be run as a
>> portable/stand-alone application) and you'd delete that user's
>> settings with a system-wide purge of all "C:\Documents and
>> Settings\*\.x2go" directories. This is not what you want.
>
> Also think about multi-machine setups with central user directories
> and/or roaming profiles. Deleting x2go on one machine doesn't mean its
> gone on all machines the user-directory is accessed from.
>
> And deleting stuff from the users dirs is generally no good idea. Might
> be something is borked with the install, so the user deinstalls and
> reinstalls. That doesn't mean he want to loose all his settings and
> profiles for x2go...

Considering the two comments from Arnold and Stefan above, I will  
close this bug and tag it as ,,won't fix''.

Best,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

Subject: when uninstalling x2goclient from windows, the .x2go folder remains
From: Αλέξανδρος Τασίκας <[email-masked]>
To: [email-masked]
Date: Thu, 30 May 2013 19:46:10 +0300

Package: x2goclient
Version: 4.0.0.3

when uninstalling x2goclient, the .x2go folder which is in the user space
(in windows-XP C:\Docs&Sets\username\.x2go) is not deleted!!! I think the
uninstall process should delete folder also.
(maybe related with Bug#224)

-- 
Αλέξανδρος Τασίκας

* Όταν προωθείτε μηνύματα θυμηθείτε να χρησιμοποιείτε το Bcc (*Blind Carbon
Copy* ή *Ιδιαίτερη/Κρυφή Κοινοποίηση*) καθώς και να διαγράφετε τις
διευθύνσεις των προηγούμενων αποστολέων. Έτσι θα κρατήσετε τους spammers
έξω από το παιχνίδι.

* Όσο για το τι είναι αυτοί οι spammers... διαβάστε
spam<http://el.wikipedia.org/wiki/Spam>... και
στα αγγλικά <http://en.wikipedia.org/wiki/Spam_(electronic)>.

* When forwarding a message, please use Bcc (Blind Carbon Copy) and delete
email addresses of previous senders in order to protect ourselves from
spammers.